# Uses of Class
org.eclipse.microprofile.openapi.apps.petstore.model.Order

Packages that use Order
Package
Description
org.eclipse.microprofile.openapi.apps.petstore.data
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.petstore.resource
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of Order in org.eclipse.microprofile.openapi.apps.petstore.data

Methods in org.eclipse.microprofile.openapi.apps.petstore.data that return Order
Modifier and Type
Method
Description
`Order`
StoreData.`findOrderById(long orderId)`
`Order`
StoreData.`placeOrder(Order order)`
Methods in org.eclipse.microprofile.openapi.apps.petstore.data with parameters of type Order
Modifier and Type
Method
Description
`Order`
StoreData.`placeOrder(Order order)`

## Uses of Order in org.eclipse.microprofile.openapi.apps.petstore.resource

Methods in org.eclipse.microprofile.openapi.apps.petstore.resource that return Order
Modifier and Type
Method
Description
`Order`
PetStoreResource.`placeOrder(Order order)`
Methods in org.eclipse.microprofile.openapi.apps.petstore.resource with parameters of type Order
Modifier and Type
Method
Description
`Order`
PetStoreResource.`placeOrder(Order order)`